유효하지 않은 SCIM 키 역할
이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/scim-key-role-invalid입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
SCIM 키에는 역할이 필요합니다. 소유자가 아닌 역할 중 org:manage_team 권한이 있는 역할을 키에 지정하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에도 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
reason | "noRole" | "owner" | "lacksManageTeam" |
roleId | string |
예시#
json
{
"detail": "A SCIM key needs a role. Give the key a role other than Owner that grants org:manage_team.",
"reason": "noRole",
"roleId": "<roleId>",
"type": "https://lingo.dev/docs/api/errors/scim-key-role-invalid",
"status": 422,
"title": "SCIM key role invalid"
}이 오류를 반환하는 엔드포인트#
PATCH /v2/service-api-keys/{id}POST /v2/organizations/{orgId}/service-api-keys/scim